#
# spec file for package python-xar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2007 - 2014 guru@unixtech.be
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define skip_python3 1
Name:           python-xar
Version:        0.4
Release:        7.12
Summary:        Python Bindings for the XAR Archive Format
License:        BSD-3-Clause
Group:          Productivity/Archiving/Compression
URL:            http://code.google.com/p/xar/
Source:         http://xar.googlecode.com/files/pyxar-%{version}.tar.gz
# PATCH-FIX-OPENSUSE python-xar-fix-empty-declarator.patch malcolmlewis@opensuse.org -- Fix type declarator.
Patch0:         python-xar-fix-empty-declarator.patch
BuildRequires:  %{python_module devel}
BuildRequires:  libxar-devel
BuildRequires:  pyrex
BuildRequires:  python-rpm-macros
%ifpython2
Provides:       pyxar = %{version}-%{release}
Provides:       python-pyxar = %{version}-%{release}
Provides:       python-xar = %{version}-%{release}
Obsoletes:      python-xar < %{version}-%{release}
%endif
%python_subpackages

%description
The XAR project aims to provide an easily extensible archive format. Important
design decisions include an easily extensible XML table of contents for random
access to archived files, storing the toc at the beginning of the archive to
allow for efficient handling of streamed archives, the ability to handle files
of arbitrarily large sizes, the ability to choose independent encodings for
individual files in the archive, the ability to store checksums for individual
files in both compressed and uncompressed form, and the ability to query the
table of content's rich meta-data.

This package contains Python bindings to the libxar package.

%prep
%setup -q -n pyxar-%{version}
%patch0 -p1

%build
%python2_build

%install
%python2_install

%files %{python_files}
%doc README.txt
%{python_sitearch}

%changelog
* Wed Dec 13 2017 mpluskal@suse.com
- Convert to singlespec
* Sat Mar 28 2015 mpluskal@suse.com
- Cleanup spec file
- Cleanup dependencies
* Thu Nov 27 2014 malcolmlewis@opensuse.org
- Add python-xar-fix-empty-declarator.patch: Fix incorrect type
  declarator.
- Fix license string.
- Spec file clean up.
* Sun Jun 21 2009 pascal.bleser@opensuse.org
- fixed broken Requires
* Tue Jul 24 2007 guru@unixtech.be
- fixed build
* Wed Jun  6 2007 guru@unixtech.be
- new package
